# WOKNT_regexp.h File Reference

`#include <stdio.h>`
`#include <limits.h>`
`#include <regexp.h>`

## Defines

#define | _TEXT(arg) arg
#define | REGEXP_API
#define | RE_NREGS 10
#define | BYTEWIDTH CHAR_BIT
#define | CHAR_MASK UCHAR_MAX
#define | RE_NO_BK_PARENS 1
#define | RE_NO_BK_VBAR 2
#define | RE_BK_PLUS_QM 4
#define | RE_TIGHT_VBAR 8
#define | RE_NEWLINE_OR 16
#define | RE_CONTEXT_INDEP_OPS 32
#define | RE_SYNTAX_AWK ( RE_NO_BK_PARENS | RE_NO_BK_VBAR | RE_CONTEXT_INDEP_OPS )
#define | RE_SYNTAX_EGREP ( RE_SYNTAX_AWK | RE_NEWLINE_OR )
#define | RE_SYNTAX_GREP ( RE_BK_PLUS_QM | RE_NEWLINE_OR )
#define | RE_SYNTAX_EMACS 0

## Typedefs

typedef char | _TCHAR
typedef char | TCHAR
typedef unsigned char | _TUCHAR
typedef re_pattern_buffer | RE_PATTERN_BUFFER
typedef re_pattern_buffer * | PRE_PATTERN_BUFFER
typedef re_registers | RE_REGISTERS
typedef re_registers * | PRE_REGISTERS

## Enumerations

enum | regexpcode { unused, exactn, begline, endline, jump, on_failure_jump, finalize_jump, maybe_finalize_jump, dummy_failure_jump, anychar, charset, charset_not, start_memory, stop_memory, duplicate, before_dot, at_dot, after_dot, begbuf, endbuf, wordchar, notwordchar, wordbeg, wordend, wordbound, notwordbound, syntaxspec, notsyntaxspec }

## Functions

REGEXP_API _TCHAR * | re_compile_pattern (_TCHAR *, int, PRE_PATTERN_BUFFER)
REGEXP_API void | re_compile_fastmap (PRE_PATTERN_BUFFER)
REGEXP_API int | re_search (PRE_PATTERN_BUFFER, _TCHAR *, int, int, int, PRE_REGISTERS)
REGEXP_API int | re_search_2 (PRE_PATTERN_BUFFER, _TCHAR *, int, _TCHAR *, int, int, int, PRE_REGISTERS, int)
REGEXP_API int | re_match (PRE_PATTERN_BUFFER, _TCHAR *, int, int, PRE_REGISTERS)
REGEXP_API int | re_match_2 (PRE_PATTERN_BUFFER, _TUCHAR *, int, _TUCHAR *, int, int, PRE_REGISTERS, int)
REGEXP_API int | re_set_syntax (int)

## Define Documentation

#define _TEXT | ( | arg |  | ) | arg

#define BYTEWIDTH CHAR_BIT

#define CHAR_MASK UCHAR_MAX

#define RE_BK_PLUS_QM 4

#define RE_CONTEXT_INDEP_OPS 32

#define RE_NEWLINE_OR 16

#define RE_NO_BK_PARENS 1

#define RE_NO_BK_VBAR 2

#define RE_NREGS 10

#define RE_SYNTAX_AWK ( RE_NO_BK_PARENS | RE_NO_BK_VBAR | RE_CONTEXT_INDEP_OPS )

#define RE_SYNTAX_EGREP ( RE_SYNTAX_AWK | RE_NEWLINE_OR )

#define RE_SYNTAX_EMACS 0

#define RE_SYNTAX_GREP ( RE_BK_PLUS_QM | RE_NEWLINE_OR )

#define RE_TIGHT_VBAR 8

#define REGEXP_API

## Typedef Documentation

typedef char _TCHAR

typedef unsigned char _TUCHAR

typedef struct re_pattern_buffer * PRE_PATTERN_BUFFER

typedef struct re_registers * PRE_REGISTERS

typedef struct re_pattern_buffer RE_PATTERN_BUFFER

typedef struct re_registers RE_REGISTERS

typedef char TCHAR

## Enumeration Type Documentation

enum regexpcode

Enumeration values:

  unused |
  exactn |
  begline |
  endline |
  jump |
  on_failure_jump |
  finalize_jump |
  maybe_finalize_jump |
  dummy_failure_jump |
  anychar |
  charset |
  charset_not |
  start_memory |
  stop_memory |
  duplicate |
  before_dot |
  at_dot |
  after_dot |
  begbuf |
  endbuf |
  wordchar |
  notwordchar |
  wordbeg |
  wordend |
  wordbound |
  notwordbound |
  syntaxspec |
  notsyntaxspec |

## Function Documentation

REGEXP_API void re_compile_fastmap | ( | PRE_PATTERN_BUFFER |  | ) |

REGEXP_API _TCHAR* re_compile_pattern | ( | _TCHAR * | ,
|  | int | ,
|  | PRE_PATTERN_BUFFER |
| ) |

REGEXP_API int re_match | ( | PRE_PATTERN_BUFFER | ,
|  | _TCHAR * | ,
|  | int | ,
|  | int | ,
|  | PRE_REGISTERS |
| ) |

REGEXP_API int re_match_2 | ( | PRE_PATTERN_BUFFER | ,
|  | _TUCHAR * | ,
|  | int | ,
|  | _TUCHAR * | ,
|  | int | ,
|  | int | ,
|  | PRE_REGISTERS | ,
|  | int |
| ) |

REGEXP_API int re_search | ( | PRE_PATTERN_BUFFER | ,
|  | _TCHAR * | ,
|  | int | ,
|  | int | ,
|  | int | ,
|  | PRE_REGISTERS |
| ) |

REGEXP_API int re_search_2 | ( | PRE_PATTERN_BUFFER | ,
|  | _TCHAR * | ,
|  | int | ,
|  | _TCHAR * | ,
|  | int | ,
|  | int | ,
|  | int | ,
|  | PRE_REGISTERS | ,
|  | int |
| ) |

REGEXP_API int re_set_syntax | ( | int |  | ) |